package com.tfis.system.service;

import java.util.List;
import java.util.Map;

import com.tfis.system.domain.AircraftType;

/**
 * 机型信息管理Service接口
 * 
 * @author allen
 * @date 2023-11-23
 */
public interface IAircraftTypeService 
{
    /**
     * 查询机型信息管理
     * 
     * @param id 机型信息管理主键
     * @return 机型信息管理
     */
    public AircraftType selectAircraftTypeById(Long id);

    /**
     * 查询机型信息管理列表
     * 
     * @param aircraftType 机型信息管理
     * @return 机型信息管理集合
     */
    public List<AircraftType> selectAircraftTypeList(AircraftType aircraftType);

    /**
     * 新增机型信息管理
     * 
     * @param aircraftType 机型信息管理
     * @return 结果
     */
    public int insertAircraftType(AircraftType aircraftType);

    /**
     * 修改机型信息管理
     * 
     * @param aircraftType 机型信息管理
     * @return 结果
     */
    public int updateAircraftType(AircraftType aircraftType);

    /**
     * 批量删除机型信息管理
     * 
     * @param ids 需要删除的机型信息管理主键集合
     * @return 结果
     */
    public int deleteAircraftTypeByIds(Long[] ids);

    /**
     * 删除机型信息管理信息
     * 
     * @param id 机型信息管理主键
     * @return 结果
     */
    public int deleteAircraftTypeById(Long id);

    List getOption();
}
